Bug 1128797 - perl-DateTime-Format-Strptime-1.5500-2.fc22 FTBFS: tests expects different time zone identifiers
Summary: perl-DateTime-Format-Strptime-1.5500-2.fc22 FTBFS: tests expects different ti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DateTime-Format-Strptime
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:46 UTC by Petr Pisar
Modified: 2014-08-23 01:58 UTC (History)
3 users (show)

Fixed In Version: perl-DateTime-Format-Strptime-1.5600-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-23 01:58:22 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-08-11 14:46:21 UTC
perl-DateTime-Format-Strptime-1.5500-2.fc22 fails to build in F22 due tests:

t/001_load.t ................ ok
#   Failed test '%Y %H:%M:%S %Z'
#   at t/002_dates.t line 108.
#          got: '2003 13:45:56 AWST'
#     expected: '2003 13:45:56 WST'
# Looks like you failed 1 test of 23.
t/002_dates.t ............... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/23 subtests 
#   Failed test 'Every token at once'
#   at t/003_every.t line 49.
#          got: 'Wed Nov November 20 05  5 Nov 23 11 309 23 11 11 34 
#  123456789 Australia/Melbourne PM pm 45 44 3 3 44 03 2003 1068035685 2003 03 +1100 AEDT %Y %'
#     expected: 'Wed Nov November 20 05  5 Nov 23 11 309 23 11 11 34 
#  123456789 Australia/Melbourne PM pm 45 44 3 3 44 03 2003 1068035685 2003 03 +1100 EST %Y %'
#   Failed test 'Every token at once'
#   at t/003_every.t line 91.
#          got: 'Wed Nov November 20 05  5 Nov 23 11 309 23 11 11 34 
#  123456789 PM pm 45 44 3 3 44 03 2003 1068035685 2003 03 +1100 AEDT %'
#     expected: 'Wed Nov November 20 05  5 Nov 23 11 309 23 11 11 34 
#  123456789 PM pm 45 44 3 3 44 03 2003 1068035685 2003 03 +1100 EST %'
# Looks like you failed 2 tests of 14.
t/003_every.t ............... 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/14 subtests 
t/004_locale_defaults.t ..... ok
t/005_croak.t ............... ok
t/006_locales.t ............. ok
t/007_edge.t ................ ok
t/008_epoch.t ............... ok
t/009_regexp.t .............. ok
t/author-001_all_locales.t .. skipped: these tests are for testing by the author
t/release-eol.t ............. skipped: these tests are for release candidate testing
t/release-no-tabs.t ......... skipped: these tests are for release candidate testing
t/release-pod-coverage.t .... skipped: these tests are for release candidate testing
t/release-pod-linkcheck.t ... skipped: these tests are for release candidate testing
t/release-pod-spell.t ....... skipped: these tests are for release candidate testing
t/release-pod-syntax.t ...... skipped: these tests are for release candidate testing
Test Summary Report
-------------------
t/002_dates.t             (Wstat: 256 Tests: 23 Failed: 1)
  Failed test:  23
  Non-zero exit status: 1
t/003_every.t             (Wstat: 512 Tests: 14 Failed: 2)
  Failed tests:  6, 13
  Non-zero exit status: 2
Files=16, Tests=449,  2 wallclock secs ( 0.08 usr  0.02 sys +  1.38 cusr  0.11 csys =  1.59 CPU)
Result: FAIL

Comment 1 Petr Pisar 2014-08-11 14:48:58 UTC
Upstream fixed it in 1.56 version.

Comment 2 Petr Pisar 2014-08-12 12:02:58 UTC
This is needed for F≥20.

Comment 3 Petr Pisar 2014-08-12 12:16:04 UTC
Fixed as perl-DateTime-Format-Strptime-1.5600-1.fc21 in F21.

Comment 4 Fedora Update System 2014-08-12 12:30:46 UTC
perl-DateTime-Format-Strptime-1.5600-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-Strptime-1.5600-1.fc20

Comment 5 Fedora Update System 2014-08-15 02:52:38 UTC
Package perl-DateTime-Format-Strptime-1.5600-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-DateTime-Format-Strptime-1.5600-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9400/perl-DateTime-Format-Strptime-1.5600-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-08-23 01:58:22 UTC
perl-DateTime-Format-Strptime-1.5600-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.